package com.unissoft.feign;

import com.unissoft.MyConstant;
import com.unissoft.result.ResultView;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * feign调用CSC_SZLS_BUSINESS服务
 */
@FeignClient(value = MyConstant.CSC_SZLS_BUSINESS, fallback = BusinessHystrix.class)
public interface BusinessFeign {


    @GetMapping("/public/loadResourceDefine")
    ResultView loadResourceDefine();

}
