package com.unissoft.feign;

import com.unissoft.MyConstant;
import com.unissoft.result.ResultView;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * wsm-oauth服务的熔断器
 */
@Component
public class BusinessHystrix implements BusinessFeign {

    private final Logger logger = LoggerFactory.getLogger(BusinessHystrix.class);

    @Override
    public ResultView loadResourceDefine() {
        logger.error("调用csc-szls-business服务loadResourceDefine方法失败!");
        return null;
    }
}
