package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unissoft.model.BasicsEnum;
import com.unissoft.model.BasicsEnumPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-01-06
 */
public interface BasicsEnumMapper extends BaseMapper<BasicsEnum> {

    List<BasicsEnumPO> getAll();

    /**
     * 获取只有一个子集的child数据
     * @param parentId 父id
     * @return
     */
    List<BasicsEnum> selectOnlyChildData(@Param("parentId") Integer parentId);
}
