package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-01-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basics_enum")
@ApiModel(value="BasicsEnum对象", description="")
public class BasicsEnum implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "菜单id")
    @TableId(value = "enum_id")
    private Integer enumId;

    @ApiModelProperty(value = "菜单名称，不能为空")
    @TableField("enum_name")
    private String enumName;

    @ApiModelProperty(value = "父id，默认为0")
    @TableField("parent_id")
    private Integer parentId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_date")
    private Date createDate;

    @ApiModelProperty(value = "顺序")
    @TableField("enum_order")
    private Integer enumOrder;

    @ApiModelProperty(value = "是否删除，0有效，1删除")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "描述")
    @TableField("remark")
    private String remark;


}
