package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-01-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="BasicsEnumPO对象", description="")
public class BasicsEnumPO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "菜单id")
    private Integer enumId;

    @ApiModelProperty(value = "菜单名称，不能为空")
    private String enumName;

    @ApiModelProperty(value = "父id，默认为0")
    private Integer parentId;

    @ApiModelProperty(value = "顺序")
    private Integer enumOrder;

    public BasicsEnumPO(Integer enumId, String enumName, Integer parentId, Integer enumOrder) {
        this.enumId = enumId;
        this.enumName = enumName;
        this.parentId = parentId;
        this.enumOrder = enumOrder;
    }

    /**
     * 子集容器
     */
    private List<BasicsEnumPO> children = new ArrayList<>();

}
