package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2020-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_department")
@ApiModel(value="SysDepartment对象", description="")
public class SysDepartment implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "部门表id")
    @TableId(value = "d_id", type = IdType.AUTO)
    private Integer dId;

    @ApiModelProperty(value = "部门名称")
    @TableField("d_name")
    private String dName;

    @ApiModelProperty(value = "所属库id")
    @TableField("depot_id")
    private Integer depotId;

    @ApiModelProperty(value = "所属库名称")
    @TableField("depot_name")
    private String depotName;

    @ApiModelProperty(value = "所属公司id")
    @TableField("company_id")
    private Integer companyId;

    @ApiModelProperty(value = "所属公司名称")
    @TableField("company_name")
    private String companyName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField("create_people")
    private String createPeople;

    @ApiModelProperty(value = "备用字段")
    @TableField("alternate_fields_one")
    private String alternateFieldsOne;

    @ApiModelProperty(value = "备注")
    @TableField("d_remark")
    private String dRemark;


}
