package com.unissoft.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author root
 * @since 2020-12-05
 */
@Data
@ApiModel(value="SysPersonnelPO对象", description="封装部门下面有那些人员")
public class SysPersonnelPO implements Serializable {

    //部门id
    private Integer departmentStaffId;
    //人员id
    private Integer personnelId;
    //部门名称
    private String departmentStaffName;
    //岗位（职务）
    private String pPost;
    //头像地址
    private String pHeadPortrait;

    @ApiModelProperty(value = "(0表示部门，1表示人员)")
    private Integer isDepartmentStaff;

    public SysPersonnelPO(Integer departmentStaffId, Integer personnelId, String departmentStaffName, String pPost, String pHeadPortrait, Integer isDepartmentStaff) {
        this.departmentStaffId = departmentStaffId;
        this.personnelId = personnelId;
        this.departmentStaffName = departmentStaffName;
        this.pPost = pPost;
        this.pHeadPortrait = pHeadPortrait;
        this.isDepartmentStaff = isDepartmentStaff;
    }

    public SysPersonnelPO(Integer departmentStaffId, Integer personnelId, String departmentStaffName, Integer isDepartmentStaff) {
        this.departmentStaffId = departmentStaffId;
        this.personnelId = personnelId;
        this.departmentStaffName = departmentStaffName;
        this.isDepartmentStaff = isDepartmentStaff;
    }

    public SysPersonnelPO(Integer departmentStaffId, String departmentStaffName, Integer isDepartmentStaff) {
        this.departmentStaffId = departmentStaffId;
        this.departmentStaffName = departmentStaffName;
        this.isDepartmentStaff = isDepartmentStaff;
    }

    /**
     * 子集容器
     */
    private List<SysPersonnelPO> children = new ArrayList<>();

}
