package com.unissoft.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@ToString
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
@SuppressWarnings("all")
public class SysResourcePO {

	private Integer resourceCode;

	private String resourceName;

	private Integer parentCode;

	public SysResourcePO(Integer resourceCode, String resourceName, Integer parentCode) {
		this.resourceCode = resourceCode;
		this.resourceName = resourceName;
		this.parentCode = parentCode;
	}

	/**
     * 子集容器
     */
    private List<SysResourcePO> children = new ArrayList<>();
	
}
