package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.BasicsDepot;
import com.unissoft.model.BasicsDepotPO;
import com.unissoft.model.BasicsWarehouse;
import com.unissoft.model.BasicsWarehousePO;
import com.unissoft.result.PageParam;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author root
 * @since 2020-12-03
 */
public interface BasicsWarehouseService extends IService<BasicsWarehouse> {
    Page<BasicsWarehouse> getPage(PageParam pageParam);

    ArrayList<HashMap<String, String>> getDepotAll(Integer depotId);

    Map<Integer, String> getAllMAP(Integer depotId);

    List<BasicsWarehouse> getAll();

    Map<String, List<BasicsWarehousePO>> getPercent(BasicsWarehouse basicsWarehouse);


    List<BasicsWarehouse> getPictureAllMApicture(Integer depotId);

    List<BasicsWarehouse> getByCfIds(String cfIds);

    List<BasicsDepotPO> getByDepotIDAllC(Integer depotId, String cfIds);
}
