package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.MSafetyInspection;
import com.unissoft.result.PageParam;

/**
 * <p>
 * 安全巡查表(委托,租仓) 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-28
 */
public interface MSafetyInspectionService extends IService<MSafetyInspection> {
    Page<MSafetyInspection> getPage(PageParam pageParam);

    void saveGrain(MSafetyInspection model);

    void updateRole(MSafetyInspection model);

    void deleteById(Integer id);
}
