package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysRole;
import com.unissoft.result.PageParam;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 角色 服务类
 * </p>
 *
 * @author wsm
 * @since 2020-11-25
 */
public interface SysRoleService extends IService<SysRole> {
    List<Integer> getByColeId(Integer roleId);

    List<Integer> getAllResource(Integer id);

    ArrayList<HashMap<String, String>> getAll ();

    Page<SysRole> getPage(PageParam pageParam);

    void saveRole(SysRole model);

    void updateRole(SysRole model);

    void deleteById(Integer id);
}
