package com.unissoft.feign;

import com.unissoft.MyConstant;
import com.unissoft.result.ResultView;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * feign调用CSC_SZLS_BUSINESS服务
 */
@FeignClient(value = MyConstant.CSC_SZLS_MESSAGE, fallback = MessageHystrix.class)
public interface MessageFeign {


    @GetMapping("/public/loadResourceDefine")
    ResultView loadResourceDefine();

}
