package com.unissoft.feign;

import com.unissoft.result.ResultView;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * wsm-oauth服务的熔断器
 */
@Component
public class MessageHystrix implements MessageFeign {

    private final Logger logger = LoggerFactory.getLogger(MessageHystrix.class);

    @Override
    public ResultView loadResourceDefine() {
        logger.error("调用csc-szls-message服务loadResourceDefine方法失败!");
        return null;
    }
}
