package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unissoft.model.SysPersonnel;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author root
 * @since 2020-12-01
 */
public interface SysPersonnelMapper extends BaseMapper<SysPersonnel> {
    List<SysPersonnel> getByDepotIdAndRoleId(@Param("depotID") Integer depotID, @Param("roleID") Integer roleID);

    List<SysPersonnel> getByDepotIdAndCfid(@Param("depotId") Integer depotId, @Param("warehouseId") Integer warehouseId);

    List<SysPersonnel> getByDepotId(@Param("depotId") Integer depotId);
}
