package com.unissoft.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.*;

/**
 * @author qingsong.han
 * @description: BasicsDepot 子类
 * @create 2020-12-31 10:59
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BasicsDepotChildren extends BasicsDepot implements Serializable {
    private static final long serialVersionUID = 7864855139500363410L;

    /**
     *
     */
    private List<BasicsDepotChildren> children = Collections.emptyList();

}
