package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2020-12-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basics_depot_extend")
@ApiModel(value="BasicsDepotExtend对象", description="库点扩展表，存储图片地址")
public class BasicsDepotExtend implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "库扩展id")
    @TableId(value = "e_id", type = IdType.AUTO)
    private Integer eId;

    @ApiModelProperty(value = "库id")
    @TableField("depot_id")
    private Integer depotId;

    @ApiModelProperty(value = "图片地址")
    @TableField("e_portrait")
    private String ePortrait;

    @ApiModelProperty(value = "描述")
    @TableField("e_remark")
    private String eRemark;

    @ApiModelProperty(value = "备用字段")
    @TableField("alternate_fields")
    private String alternateFields;


}
