package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@ToString
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
@SuppressWarnings("all")
public class BasicsDepotPO {

	private Integer depotCode;

	private String depotName;

	private Integer parentCode;
    //层级
    private Integer dHierarchy;
    //代表是否是仓房1代表是仓房信息
	private Integer isWhether;
    //仓库坐标
    private String coordinate;

	public BasicsDepotPO(Integer depotCode, String depotName, Integer parentCode) {
		this.depotCode = depotCode;
		this.depotName = depotName;
		this.parentCode = parentCode;
	}

    public BasicsDepotPO(Integer depotCode, String depotName, Integer parentCode, Integer dHierarchy, Integer isWhether) {
        this.depotCode = depotCode;
        this.depotName = depotName;
        this.parentCode = parentCode;
        this.dHierarchy = dHierarchy;
        this.isWhether = isWhether;
    }

    public BasicsDepotPO(Integer depotCode, String depotName, Integer parentCode, Integer isWhether) {
        this.depotCode = depotCode;
        this.depotName = depotName;
        this.parentCode = parentCode;
        this.isWhether = isWhether;
    }

    public BasicsDepotPO(Integer depotCode, String depotName, Integer parentCode, Integer isWhether,String coordinate) {
        this.depotCode = depotCode;
        this.depotName = depotName;
        this.parentCode = parentCode;
        this.isWhether = isWhether;
        this.coordinate = coordinate;
    }

    /**
     * 子集容器
     */
    private List<BasicsDepotPO> children = new ArrayList<>();
	
}
