package com.unissoft.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.BasicsEnum;
import com.unissoft.model.BasicsEnumPO;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-06
 */
public interface BasicsEnumService extends IService<BasicsEnum> {

    List<BasicsEnumPO> getEnumAll();

    HashMap<String, Object> getAll();

    void deleteById(Integer id);

    /**
     * 获取只有一个子集的child数据
     * @param parentId 父id
     * @return
     */
    List<BasicsEnum> getOnlyChildData(Integer parentId);

}
