package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.MCompanyManagement;
import com.unissoft.result.PageParam;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2021-01-28
 */
public interface MCompanyManagementService extends IService<MCompanyManagement> {

    Page<MCompanyManagement> getPage(PageParam pageParam);

    void saveGrain(MCompanyManagement model);

    void updateRole(MCompanyManagement model);

    void deleteById(Integer id);

    Map<Integer, String> getAll(Integer depotId);

    MCompanyManagement getCompanyName();
}
