package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysDepartment;
import com.unissoft.result.PageParam;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2020-12-04
 */
public interface SysDepartmentService extends IService<SysDepartment> {
    Page<SysDepartment> getPage(PageParam pageParam);

    ArrayList<HashMap<String, String>> getDepartmentAll();

    List<SysDepartment> getAll();

    Map<Integer, String> getAllMAP();

    Integer getByDepName(String depName);
}
