package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysResource;
import com.unissoft.model.SysResourcePO;
import com.unissoft.result.PageParam;

import java.util.List;

/**
 * <p>
 * 资源（如前台某个菜单） 服务类
 * </p>
 *
 * @author wsm
 * @since 2020-11-25
 */
public interface SysResourceService extends IService<SysResource> {
    Page<SysResource> getPage(PageParam pageParam);

    List<SysResourcePO> getAll();

    List<SysResource> getAllResource();
}
